Debian installeren 8.11

Voor het installeren van Debian 8.11 (jessie), kunt u een van de volgende images downloaden (alle i386 en amd64 CD/DVD-images zijn ook bruikbaar op USB-stick):

netinst CD-image (meestal 150-280 MB)

Blu-ray (via jigdo)

andere images (netboot, flexibele usb-stick, enz.)

Indien een hardwareonderdeel van uw systeem het laden van niet-vrije firmware vereist voor het stuurprogramma van een apparaat, kunt u een van de tar-archieven met gebruikelijke firmwarepakketten gebruiken of een niet-officieel image downloaden met deze niet-vrije firmware. Instructies over het gebruik van deze tar-archieven en algemene informatie over het laden van firmware tijdens de installatie is te vinden in de Installatiehandleiding (zie onder Documentatie hierna).

netinst (gewoonlijk 240-290 MB) non-free CD-images met firmware

Opmerkingen

Documentatie

Indien u slechts één document leest voor u met installeren begint, lees dan onze Installatie-Howto met een snel overzicht van het installatieproces. Andere nuttige informatie is:

Errata

Dit is een lijst met gekende problemen in het installatiesysteem van Debian 8.11. Indien u bij het installeren van Debian op een probleem gestoten bent en dit probleem hier niet vermeld vindt, stuur ons dan een installatierapport waarin u de problemen beschrijft of raadpleeg de wiki voor andere gekende problemen.

Errata voor release 8.11

pkgsel installeert geen updates met ABI-wijzigingen (stansdaard)
Bug #908711: tijdens een installatie met gebruik van netwerkpakketbronnen, ontbreken bij de geïnstalleerde beveiligingsupdates die updates welke een nieuw binair pakket vereisen door een ABI-wijziging van de kernel of een bibliotheek.
Status: Dit werd gerepareerd in het installatiesysteem voor recentere releases (Debian 9 stretch). Voor installaties van Debian 8 moeten beveiligingsupdates die nieuwe pakketten vereisen, handmatig geïnstalleerd worden, aangezien geen nieuw Debian installatiesysteem voorzien is:
- Voer apt-get upgrade --with-new-pkgs uit
- Herstart om de opwaardering af te ronden.
APT was kwetsbaar voor een aanval van het type man-in-the-middle
A bug in de HTTP transportmethode van APT (CVE-2019-3462) kon door een aanvaller die zich als een man-in-the-middle tussen APT en een spiegelserver bevond, uitgebuit worden om de installatie van bijkomende, kwaadaardige pakketten te veroorzaken.
Dit kan beperkt worden door het gebruik van het netwerk bij de initiële installatie uit te schakelen en nadien een opwaardering uit te voeren volgens de instructies uit DLA-1637.
Status: Dit werd gerepareerd in 8.11.1

Errata voor release 8.0

Desktop-installaties lukken niet met enkel CD#1
Door de beperkte opslagruimte op de eerste CD, passen niet alle verwachte pakketten voor de GNOME desktop op CD#1. Gebruik voor een succesvolle installatie extra pakketbronnen (bijv. een tweede CD of een netwerkspiegelserver) of gebruik anders een DVD.
Status: Het is onwaarschijnlijk dat er meer inspanningen kunnen worden gedaan om meer pakketten op CD#1 te krijgen.
De opstartberichten op Powerpc zijn verouderd
Bug #783569: op powerpc-CD's is nog steeds sprake van het gebruik van de kernel commandoregel voor het selecteren van een desktop, maar dit is nu verouderd - gebruik in de plaats daarvan nu het tasksel menu.
Status: Dit werd gerepareerd in 8.1
Problemen bij het tegelijk installeren van meer dan één desktop-taak
Bug #783571: Het is niet mogelijk om tegelijkertijd GNOME en Xfce te installeren. Er bestaat een vereistenconflict dat ervoor verantwoordelijk is dat het installeren van de pakketten mislukt.
Status: Dit werd gerepareerd in 8.1